
TYPO3.Neos - Bug # 45456

Work Package # 45020 (Closed): Content Editing Stability and Features

Status: Closed Priority: Must have
Author: Adrian Föder Category: UI
Created: 2013-02-13 Assigned To:
Updated: 2014-11-02 Due date:
Subject: HTML editor displays dynamically inserted content rather than the actual node's
Description

if you have an HTML content element which inner content is changed by some client side JavaScript, the HTML editor shows this
changed content rather than the background node's.
You can say, the HTML editor always shows the current DOM node's content instead of the TYPO3CR Node's.

Related issues:
related to TYPO3.Neos - Bug # 45447: HTML editor causes JavaScript error Closed 2013-02-13

History
#1 - 2013-02-13 14:25 - Aske Ertmann
- Category set to UI
- Priority changed from Should have to Must have
- Target version set to 1.0 beta 1
- Parent task set to #45020

#2 - 2013-04-10 21:27 - Aske Ertmann

Instead of getting the HTML source from the actual dom we should get it from the VIE entity instead.

#3 - 2013-04-10 21:27 - Aske Ertmann
- Status changed from New to Accepted

#4 - 2013-09-30 20:02 - Christoph Dähne

How to trigger this bug?

Add two HTML-Content-Elements (requires Bugfix 24168 for typo3.neos):

<div id="myfunnydiv">
 Hello World

</div>

This one is changed.

and afterwards

<p>This one changes</p>

<script type="text/javascript">
  setInterval(_onTick, 1000);

  function _onTick() {
    $('#myfunnydiv').html(new Date().getTime());
  }

</script>

Now try to edit the first one using the HTML-Editor. If it works, refresh the page and try again.

#5 - 2013-09-30 20:47 - Christoph Dähne

NOTE: In the above example the interval is started multiple times if the content area is reloaded. Reloading the whole page discards the additional
intervals. If the creation of intervals, … in inline java script in html content elements shall be fully supported, might be worth some discussion.

#6 - 2013-09-30 20:53 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24183

#7 - 2013-10-01 00:14 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24183

#8 - 2013-12-07 13:34 - Adrian Föder
- Status changed from Under Review to Resolved

#9 - 2014-11-02 18:22 - Aske Ertmann
- Status changed from Resolved to Closed
